Get Task
curl --request GET \
--url https://api.example.com/v2/tasks/{task_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/v2/tasks/{task_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/v2/tasks/{task_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"title": "<string>",
"source": {
"context": {
"employee_id": "<string>",
"scope": "employee"
},
"requirement_id": "<string>",
"definition": "<string>",
"resources": [
{}
],
"region": {
"id": "<string>",
"name": "<string>",
"parent_region": null
},
"resolutions": {
"hosted": {
"description": "<string>",
"method": "<string>",
"url": "<string>",
"content_type": "<string>",
"fields": [
{
"name": "<string>",
"description": "<string>",
"required": true,
"type": "<string>"
}
],
"type": "hosted"
},
"manual": {
"steps": [
{
"id": "<string>",
"title": "<string>",
"description": "<string>",
"paths": [
{
"type": "<string>",
"value": "<string>",
"text": "<string>"
}
],
"order": 123
}
],
"type": "manual"
}
},
"type": "requirement",
"summary": "<string>",
"period_start_date": "2023-12-25",
"period_end_date": "2023-12-25",
"due_date": "2023-12-25",
"fee": {
"amount": "<string>",
"type": "fixed"
},
"eta": {
"estimation": {
"min": 123,
"max": 123
},
"earliest_date": "2023-11-07T05:31:56Z",
"latest_date": "2023-11-07T05:31:56Z"
},
"tags": [],
"criteria_met": [
{
"type": "requirement-done",
"reason": "<string>",
"task_id": "<string>"
}
],
"unlocks": [
{
"requirement_id": "<string>",
"title": "<string>",
"definition": "<string>",
"resources": [
{}
],
"region": {
"id": "<string>",
"name": "<string>",
"parent_region": null
},
"summary": "<string>",
"tags": [],
"source": "requirement"
}
],
"automation_status_logs": [
{
"updated_at": "2023-11-07T05:31:56Z"
}
],
"agency_accounts": [
{
"id": "<string>",
"name": "<string>",
"agency": {
"id": "<string>",
"name": "<string>",
"website": "<string>"
},
"data": [
{
"name": "<string>",
"description": "<string>",
"value": "<string>"
}
],
"logins": [
{
"id": "<string>",
"name": "<string>",
"url": "<string>"
}
]
}
]
},
"priority": "medium",
"is_managed": false
}{
"message": "<string>",
"detail": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}API Reference
Get Task
GET
/
v2
/
tasks
/
{task_id}
Get Task
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Query Parameters
Response
Successful Response
Available options:
todo, deferred, in-progress, done - PlatformTaskRequirement
- PlatformTaskQuestion
Show child attributes
Show child attributes
Available options:
high, medium, low ⌘I